#
#    targets.mk
#
#    $Source: /usr/local/CVS/cert/targets.mk,v $
#    $Revision: 1.5 $
#    $Date: 2002/08/20 01:04:48 $
#    $Name:  $
#    $Disclaimer$
#
#    Copyright (C) 2002, RTFM, Inc.
#    All Rights Reserved.
#
#    ekr@rtfm.com
#



#
#    CONFIGURE USER-DEFINED MAKE ENVIRONMENT
#
#    These fields are specified by the user.  The remainder of
#    this file is generated from this user-specified information.
#
# COM_CLAYMORESYSTEMS_CERT_DEFINES:
#    cpp defines, with the -D flag preceeding each
#
# COM_CLAYMORESYSTEMS_CERT_INCLUDES:
#    cpp include directories, with the -I flag preceeding each
#
# COM_CLAYMORESYSTEMS_CERT_LIBNAME:
#    the library associated with this module directory, used in
#    most cases for debugging purposes
#
# COM_CLAYMORESYSTEMS_CERT_LIBPATHS:
#    link-time directories to search for libraries, with the -L flag
#    preceeding each
#
# COM_CLAYMORESYSTEMS_CERT_LIBRARIES:
#    link-time libraries, with the -l flag preceeding each
#
# COM_CLAYMORESYSTEMS_CERT_LOCALFLAGS:
#    compile-time flags specific to compiling only the files in
#    this module directory--this variable should only be set in
#    extremely exceptional cases
#
# COM_CLAYMORESYSTEMS_CERT_MAKEFILES:
#    the makefiles
#
# COM_CLAYMORESYSTEMS_CERT_NOBUILD:
#    do not build this module as part of the main system
#
# COM_CLAYMORESYSTEMS_CERT_PACKAGE:
#    the Java package name
#
# COM_CLAYMORESYSTEMS_CERT_PREFIX:
#    defines the module name, which also serves as the
#    prefix for all the variable names defined in this file
#
# COM_CLAYMORESYSTEMS_CERT_PROGRAMS:
#    programs to build
#
# COM_CLAYMORESYSTEMS_CERT_SOURCES:
#    the source files to compile to object
#
COM_CLAYMORESYSTEMS_CERT_DEFINES  =
COM_CLAYMORESYSTEMS_CERT_INCLUDES  =
COM_CLAYMORESYSTEMS_CERT_LIBNAME  =
COM_CLAYMORESYSTEMS_CERT_LIBPATHS  =
COM_CLAYMORESYSTEMS_CERT_LIBRARIES  =
COM_CLAYMORESYSTEMS_CERT_LOCALFLAGS  =
COM_CLAYMORESYSTEMS_CERT_MAKEFILES  =
COM_CLAYMORESYSTEMS_CERT_NOBUILD  =
COM_CLAYMORESYSTEMS_CERT_PACKAGE  = COM.claymoresystems.cert 
COM_CLAYMORESYSTEMS_CERT_PREFIX  = COM_CLAYMORESYSTEMS_CERT 
COM_CLAYMORESYSTEMS_CERT_PROGRAMS  =
COM_CLAYMORESYSTEMS_CERT_SOURCES  = CertContext.java CertRequest.java \
                            CertVerify.java CertificateDecodeException.java \
                            CertificateException.java \
                            CertificateVerifyException.java DERUtils.java \
                            EAYDHParams.java EAYDSAPrivateKey.java \
                            EAYRSAPrivateKey.java Pickledx509.java \
                            WrappedObject.java X509BasicConstraints.java \
                            X509Cert.java X509DSAPublicKey.java \
                            X509Ext.java X509KeyUsage.java X509Name.java \
                            X509RSAPrivateKey.java X509RSAPublicKey.java \
                            X509SubjectPublicKeyInfo.java 



#
#    CONFIGURE AUTOMATICALLY-GENERATED MAKE ENVIRONMENT
#
# COM_CLAYMORESYSTEMS_CERT_SOURCEFILES:
#     
#    qualified names of the sources
#
# COM_CLAYMORESYSTEMS_CERT_OBJECTS:
#    object files to build
#
# COM_CLAYMORESYSTEMS_CERT_UNUSED:
#    obsolete files in the module directory that are not
#    used during the build process
#
# COM_CLAYMORESYSTEMS_CERT_USED:
#    all files in the module directory that are used
#    during the build process
#
COM_CLAYMORESYSTEMS_CERT_SOURCEFILES  = ${SRCROOTDIR}COM/claymoresystems/cert/CertContext.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertRequest.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertVerify.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateDecodeException.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateException.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateVerifyException.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/DERUtils.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYDHParams.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYDSAPrivateKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYRSAPrivateKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/Pickledx509.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/WrappedObject.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509BasicConstraints.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Cert.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509DSAPublicKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Ext.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509KeyUsage.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Name.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509RSAPrivateKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509RSAPublicKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509SubjectPublicKeyInfo.java 
COM_CLAYMORESYSTEMS_CERT_OBJECTS  = ${SRCROOTDIR}COM/claymoresystems/cert/CertContext.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertRequest.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertVerify.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateDecodeException.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateException.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/CertificateVerifyException.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/DERUtils.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYDHParams.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYDSAPrivateKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/EAYRSAPrivateKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/Pickledx509.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/WrappedObject.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509BasicConstraints.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Cert.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509DSAPublicKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Ext.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509KeyUsage.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509Name.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509RSAPrivateKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509RSAPublicKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/cert/X509SubjectPublicKeyInfo.class 
COM_CLAYMORESYSTEMS_CERT_CLASSES  = COM.claymoresystems.cert.CertContext \
                            COM.claymoresystems.cert.CertRequest \
                            COM.claymoresystems.cert.CertVerify \
                            COM.claymoresystems.cert.CertificateDecodeException \
                            COM.claymoresystems.cert.CertificateException \
                            COM.claymoresystems.cert.CertificateVerifyException \
                            COM.claymoresystems.cert.DERUtils \
                            COM.claymoresystems.cert.EAYDHParams \
                            COM.claymoresystems.cert.EAYDSAPrivateKey \
                            COM.claymoresystems.cert.EAYRSAPrivateKey \
                            COM.claymoresystems.cert.Pickledx509 \
                            COM.claymoresystems.cert.WrappedObject \
                            COM.claymoresystems.cert.X509BasicConstraints \
                            COM.claymoresystems.cert.X509Cert \
                            COM.claymoresystems.cert.X509DSAPublicKey \
                            COM.claymoresystems.cert.X509Ext \
                            COM.claymoresystems.cert.X509KeyUsage \
                            COM.claymoresystems.cert.X509Name \
                            COM.claymoresystems.cert.X509RSAPrivateKey \
                            COM.claymoresystems.cert.X509RSAPublicKey \
                            COM.claymoresystems.cert.X509SubjectPublicKeyInfo 
COM_CLAYMORESYSTEMS_CERT_UNUSED  =
COM_CLAYMORESYSTEMS_CERT_USED  =
SOURCEFILES += ${COM_CLAYMORESYSTEMS_CERT_SOURCEFILES}
OBJECTS += ${COM_CLAYMORESYSTEMS_CERT_OBJECTS}
CLASSES += ${COM_CLAYMORESYSTEMS_CERT_CLASSES}
PACKAGES += ${COM_CLAYMORESYSTEMS_CERT_PACKAGE}
