#
#    targets.mk
#
#    $Source: /usr/local/CVS/ptls/targets.mk,v $
#    $Revision: 1.5 $
#    $Date: 2002/01/14 00:47:17 $
#    $Name:  $
#    $Disclaimer$
#
#    Copyright (C) 2002, RTFM, Inc.
#    All Rights Reserved.
#
#    ekr@rtfm.com
#



#
#    CONFIGURE USER-DEFINED MAKE ENVIRONMENT
#
#    These fields are specified by the user.  The remainder of
#    this file is generated from this user-specified information.
#
# COM_CLAYMORESYSTEMS_PTLS_DEFINES:
#    cpp defines, with the -D flag preceeding each
#
# COM_CLAYMORESYSTEMS_PTLS_INCLUDES:
#    cpp include directories, with the -I flag preceeding each
#
# COM_CLAYMORESYSTEMS_PTLS_LIBNAME:
#    the library associated with this module directory, used in
#    most cases for debugging purposes
#
# COM_CLAYMORESYSTEMS_PTLS_LIBPATHS:
#    link-time directories to search for libraries, with the -L flag
#    preceeding each
#
# COM_CLAYMORESYSTEMS_PTLS_LIBRARIES:
#    link-time libraries, with the -l flag preceeding each
#
# COM_CLAYMORESYSTEMS_PTLS_LOCALFLAGS:
#    compile-time flags specific to compiling only the files in
#    this module directory--this variable should only be set in
#    extremely exceptional cases
#
# COM_CLAYMORESYSTEMS_PTLS_MAKEFILES:
#    the makefiles
#
# COM_CLAYMORESYSTEMS_PTLS_NOBUILD:
#    do not build this module as part of the main system
#
# COM_CLAYMORESYSTEMS_PTLS_PACKAGE:
#    the Java package name
#
# COM_CLAYMORESYSTEMS_PTLS_PREFIX:
#    defines the module name, which also serves as the
#    prefix for all the variable names defined in this file
#
# COM_CLAYMORESYSTEMS_PTLS_PROGRAMS:
#    programs to build
#
# COM_CLAYMORESYSTEMS_PTLS_SOURCES:
#    the source files to compile to object
#
COM_CLAYMORESYSTEMS_PTLS_DEFINES  =
COM_CLAYMORESYSTEMS_PTLS_INCLUDES  =
COM_CLAYMORESYSTEMS_PTLS_LIBNAME  =
COM_CLAYMORESYSTEMS_PTLS_LIBPATHS  =
COM_CLAYMORESYSTEMS_PTLS_LIBRARIES  =
COM_CLAYMORESYSTEMS_PTLS_LOCALFLAGS  =
COM_CLAYMORESYSTEMS_PTLS_MAKEFILES  =
COM_CLAYMORESYSTEMS_PTLS_NOBUILD  =
COM_CLAYMORESYSTEMS_PTLS_PACKAGE  = COM.claymoresystems.ptls 
COM_CLAYMORESYSTEMS_PTLS_PREFIX  = COM_CLAYMORESYSTEMS_PTLS 
COM_CLAYMORESYSTEMS_PTLS_PROGRAMS  =
COM_CLAYMORESYSTEMS_PTLS_SOURCES  = LoadProviders.java SSLAlert.java \
                            SSLAlertException.java SSLAlertX.java \
                            SSLCaughtAlertException.java \
                            SSLCertificate.java SSLCertificateRequest.java \
                            SSLCertificateVerify.java SSLCipherState.java \
                            SSLCipherSuite.java SSLClientHello.java \
                            SSLClientKeyExchange.java SSLConn.java \
                            SSLContext.java SSLDHParams.java \
                            SSLDHPrivateKey.java SSLDebug.java \
                            SSLEncoded.java SSLException.java \
                            SSLFinished.java SSLHandshake.java \
                            SSLHandshakeClient.java \
                            SSLHandshakeFailedException.java \
                            SSLHandshakeHashes.java SSLHandshakeHdr.java \
                            SSLHandshakeServer.java SSLHelloRequest.java \
                            SSLInputStream.java SSLMAC.java \
                            SSLOutputStream.java SSLPDU.java SSLPRF.java \
                            SSLPrematureCloseException.java \
                            SSLRSAParams.java SSLReHandshakeException.java \
                            SSLRecord.java SSLRecordReader.java \
                            SSLServerHello.java SSLServerHelloDone.java \
                            SSLServerKeyExchange.java SSLServerSocket.java \
                            SSLSessionData.java SSLSocket.java \
                            SSLThrewAlertException.java SSLopaque.java \
                            SSLuint16.java SSLuint24.java SSLuint32.java \
                            SSLuint8.java SSLuintX.java \
                            SSLv2ClientHello.java \
                            SSLv3CertificateVerify.java SSLv3Finished.java \
                            SSLv3MAC.java SSLv3PRF.java SSLvector.java \
                            SocketBasedSocketImpl.java \
                            TLSCertificateVerify.java TLSFinished.java \
                            TLSMAC.java TLSPRF.java 



#
#    CONFIGURE AUTOMATICALLY-GENERATED MAKE ENVIRONMENT
#
# COM_CLAYMORESYSTEMS_PTLS_SOURCEFILES:
#     
#    qualified names of the sources
#
# COM_CLAYMORESYSTEMS_PTLS_OBJECTS:
#    object files to build
#
# COM_CLAYMORESYSTEMS_PTLS_UNUSED:
#    obsolete files in the module directory that are not
#    used during the build process
#
# COM_CLAYMORESYSTEMS_PTLS_USED:
#    all files in the module directory that are used
#    during the build process
#
COM_CLAYMORESYSTEMS_PTLS_SOURCEFILES  = ${SRCROOTDIR}COM/claymoresystems/ptls/LoadProviders.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlert.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlertException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlertX.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCaughtAlertException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificate.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificateRequest.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificateVerify.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCipherState.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCipherSuite.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLClientHello.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLClientKeyExchange.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLConn.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLContext.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDHParams.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDHPrivateKey.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDebug.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLEncoded.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLFinished.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshake.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeClient.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeFailedException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeHashes.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeHdr.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeServer.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHelloRequest.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLInputStream.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLMAC.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLOutputStream.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPDU.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPRF.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPrematureCloseException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRSAParams.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLReHandshakeException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRecord.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRecordReader.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerHello.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerHelloDone.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerKeyExchange.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerSocket.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLSessionData.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLSocket.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLThrewAlertException.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLopaque.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint16.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint24.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint32.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint8.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuintX.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv2ClientHello.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3CertificateVerify.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3Finished.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3MAC.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3PRF.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLvector.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SocketBasedSocketImpl.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSCertificateVerify.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSFinished.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSMAC.java \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSPRF.java 
COM_CLAYMORESYSTEMS_PTLS_OBJECTS  = ${SRCROOTDIR}COM/claymoresystems/ptls/LoadProviders.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlert.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlertException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLAlertX.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCaughtAlertException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificate.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificateRequest.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCertificateVerify.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCipherState.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLCipherSuite.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLClientHello.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLClientKeyExchange.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLConn.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLContext.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDHParams.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDHPrivateKey.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLDebug.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLEncoded.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLFinished.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshake.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeClient.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeFailedException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeHashes.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeHdr.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHandshakeServer.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLHelloRequest.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLInputStream.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLMAC.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLOutputStream.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPDU.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPRF.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLPrematureCloseException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRSAParams.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLReHandshakeException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRecord.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLRecordReader.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerHello.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerHelloDone.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerKeyExchange.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLServerSocket.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLSessionData.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLSocket.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLThrewAlertException.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLopaque.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint16.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint24.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint32.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuint8.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLuintX.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv2ClientHello.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3CertificateVerify.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3Finished.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3MAC.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLv3PRF.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SSLvector.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/SocketBasedSocketImpl.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSCertificateVerify.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSFinished.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSMAC.class \
                            ${SRCROOTDIR}COM/claymoresystems/ptls/TLSPRF.class 
COM_CLAYMORESYSTEMS_PTLS_CLASSES  = COM.claymoresystems.ptls.LoadProviders \
                            COM.claymoresystems.ptls.SSLAlert \
                            COM.claymoresystems.ptls.SSLAlertException \
                            COM.claymoresystems.ptls.SSLAlertX \
                            COM.claymoresystems.ptls.SSLCaughtAlertException \
                            COM.claymoresystems.ptls.SSLCertificate \
                            COM.claymoresystems.ptls.SSLCertificateRequest \
                            COM.claymoresystems.ptls.SSLCertificateVerify \
                            COM.claymoresystems.ptls.SSLCipherState \
                            COM.claymoresystems.ptls.SSLCipherSuite \
                            COM.claymoresystems.ptls.SSLClientHello \
                            COM.claymoresystems.ptls.SSLClientKeyExchange \
                            COM.claymoresystems.ptls.SSLConn \
                            COM.claymoresystems.ptls.SSLContext \
                            COM.claymoresystems.ptls.SSLDHParams \
                            COM.claymoresystems.ptls.SSLDHPrivateKey \
                            COM.claymoresystems.ptls.SSLDebug \
                            COM.claymoresystems.ptls.SSLEncoded \
                            COM.claymoresystems.ptls.SSLException \
                            COM.claymoresystems.ptls.SSLFinished \
                            COM.claymoresystems.ptls.SSLHandshake \
                            COM.claymoresystems.ptls.SSLHandshakeClient \
                            COM.claymoresystems.ptls.SSLHandshakeFailedException \
                            COM.claymoresystems.ptls.SSLHandshakeHashes \
                            COM.claymoresystems.ptls.SSLHandshakeHdr \
                            COM.claymoresystems.ptls.SSLHandshakeServer \
                            COM.claymoresystems.ptls.SSLHelloRequest \
                            COM.claymoresystems.ptls.SSLInputStream \
                            COM.claymoresystems.ptls.SSLMAC \
                            COM.claymoresystems.ptls.SSLOutputStream \
                            COM.claymoresystems.ptls.SSLPDU \
                            COM.claymoresystems.ptls.SSLPRF \
                            COM.claymoresystems.ptls.SSLPrematureCloseException \
                            COM.claymoresystems.ptls.SSLRSAParams \
                            COM.claymoresystems.ptls.SSLReHandshakeException \
                            COM.claymoresystems.ptls.SSLRecord \
                            COM.claymoresystems.ptls.SSLRecordReader \
                            COM.claymoresystems.ptls.SSLServerHello \
                            COM.claymoresystems.ptls.SSLServerHelloDone \
                            COM.claymoresystems.ptls.SSLServerKeyExchange \
                            COM.claymoresystems.ptls.SSLServerSocket \
                            COM.claymoresystems.ptls.SSLSessionData \
                            COM.claymoresystems.ptls.SSLSocket \
                            COM.claymoresystems.ptls.SSLThrewAlertException \
                            COM.claymoresystems.ptls.SSLopaque \
                            COM.claymoresystems.ptls.SSLuint16 \
                            COM.claymoresystems.ptls.SSLuint24 \
                            COM.claymoresystems.ptls.SSLuint32 \
                            COM.claymoresystems.ptls.SSLuint8 \
                            COM.claymoresystems.ptls.SSLuintX \
                            COM.claymoresystems.ptls.SSLv2ClientHello \
                            COM.claymoresystems.ptls.SSLv3CertificateVerify \
                            COM.claymoresystems.ptls.SSLv3Finished \
                            COM.claymoresystems.ptls.SSLv3MAC \
                            COM.claymoresystems.ptls.SSLv3PRF \
                            COM.claymoresystems.ptls.SSLvector \
                            COM.claymoresystems.ptls.SocketBasedSocketImpl \
                            COM.claymoresystems.ptls.TLSCertificateVerify \
                            COM.claymoresystems.ptls.TLSFinished \
                            COM.claymoresystems.ptls.TLSMAC \
                            COM.claymoresystems.ptls.TLSPRF 
COM_CLAYMORESYSTEMS_PTLS_UNUSED  =
COM_CLAYMORESYSTEMS_PTLS_USED  =
SOURCEFILES += ${COM_CLAYMORESYSTEMS_PTLS_SOURCEFILES}
OBJECTS += ${COM_CLAYMORESYSTEMS_PTLS_OBJECTS}
CLASSES += ${COM_CLAYMORESYSTEMS_PTLS_CLASSES}
PACKAGES += ${COM_CLAYMORESYSTEMS_PTLS_PACKAGE}
